import ru.ifmo.testlib.InStream;
import ru.ifmo.testlib.Outcome;
import ru.ifmo.testlib.Outcome.Type;
import static ru.ifmo.testlib.Outcome.Type.*;

import java.math.BigInteger;
import java.util.*;

public class Check implements ru.ifmo.testlib.Checker {

	@Override
	public Outcome test(InStream inf, InStream ouf, InStream ans) {
		int ja = ans.nextInt();
		int oa = ouf.nextInt();
		return ja == oa ? new Outcome(OK, "Answer is " + oa)
			: new Outcome(WA, "Expected: " + ja + " found: " + oa);
	}
}
